List on-the-run bills
curl --request GET \
--url https://api.engine.usesophic.com/bills/otr \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.engine.usesophic.com/bills/otr"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engine.usesophic.com/bills/otr', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"12m": {
"days_to_maturity": 366,
"id": "instrument_def456",
"instrument_type": "bill",
"isin": "EU0000000011",
"issuer": "EU",
"issuer_country": "EU",
"maturity_date": "2024-10-04",
"name": "EU 12M T-Bill 2024-10-04",
"symbol": "EU0000000011",
"trading_currency": "EUR"
},
"3m": {
"days_to_maturity": 92,
"id": "instrument_abc123",
"instrument_type": "bill",
"isin": "EU0000000001",
"issuer": "EU",
"issuer_country": "EU",
"maturity_date": "2024-01-04",
"name": "EU 3M T-Bill 2024-01-04",
"symbol": "EU0000000001",
"trading_currency": "EUR"
}
}{
"code": "<string>",
"detail": "<string>",
"context": {},
"docs": "<string>",
"params": [
{
"code": "<string>",
"detail": "<string>",
"path": [
123
]
}
]
}Catalog
List on-the-run bills
Returns the on-the-run treasury bill for each standard maturity period of the given issuer country that currently has a matching bill. Periods with no matching bill are omitted from the response.
GET
/
bills
/
otr
List on-the-run bills
